Module java.desktop
Package javax.swing.plaf.basic

## Class BasicCheckBoxMenuItemUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.MenuItemUI
      - - javax.swing.plaf.basic.BasicMenuItemUI
        - - javax.swing.plaf.basic.BasicCheckBoxMenuItemUI

-     public class BasicCheckBoxMenuItemUI
      extends BasicMenuItemUI

  BasicCheckboxMenuItem implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `BasicMenuItemUI.MouseInputHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicCheckBoxMenuItemUI​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent c)` | Constructs a new instance of `BasicCheckBoxMenuItemUI`.
    `protected String` | `getPropertyPrefix​()` | Returns a property prefix.
    `void` | `processMouseEvent​(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)` | Invoked when mouse event occurs.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredMenuItemSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicCheckBoxMenuItemUI

          public BasicCheckBoxMenuItemUI​()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Constructs a new instance of `BasicCheckBoxMenuItemUI`.
      Parameters:
        `c` - a component
      Returns:
        a new instance of `BasicCheckBoxMenuItemUI`

    - #### getPropertyPrefix

          protected String getPropertyPrefix​()

      Description copied from class: `BasicMenuItemUI`
      Returns a property prefix.
      Overrides:
        `getPropertyPrefix` in class `BasicMenuItemUI`
      Returns:
        a property prefix

    - #### processMouseEvent

          public void processMouseEvent​(JMenuItem item,
                                        MouseEvent e,
                                        MenuElement[] path,
                                        MenuSelectionManager manager)

      Invoked when mouse event occurs.
      Parameters:
        `item` - a menu item
        `e` - a mouse event
        `path` - an array of `MenuElement`
        `manager` - an instance of `MenuSelectionManager`